Skip to main content

Update Showcase Creative Resource

API Description

Update a showcase creative resource by supplying the unique ID assigned to the creative resource, along with the creative's description in full, not just the fields requiring updating. Any field that is omitted SHALL be interpreted as a deletion.

Request

URI Parameters

NameInput
orgId
REQUIRED
brandId
REQUIRED
creativeId
REQUIRED
Path Template
PUT {url}/api/{version}/orgs/{orgId}/brands/{brandId}/showcase-creatives/{creativeId}
Path Example
PUT {url}/api/v1/orgs/9467895078742654934/brands/9467895078742654921/showcase-creatives/9467895078742654987

Request Headers

NameInput
Authorization
REQUIRED
Content-Type
REQUIRED
If-Match
REQUIRED
Example Request Headers
Authorization: Bearer <access_token>
Content-Type: application/json
If-Match: "1e5fbf1c-ddd5-11ec-8016-f7b230a5146d"

Request Body

NameInput
$.id
REQUIRED
$.showcaseCreativeDetails
REQUIRED
Example Request Body One (raw JSON)
{
"id": "9467895078742654987",
"showcaseCreativeDetails": {
"contents": [
{
"placement": "HEADLINE",
"descriptions": [
{
"locale": "en-US",
"text": "Happy New Year!"
}
]
},
{
"placement": "BODY",
"descriptions": [
{
"locale": "en-US",
"text": "Ring in the New Year with our new flavors!"
}
]
}
],
"callToAction": "WEBSITE",
"photo": {
"id": "9467895078742654949",
"captions": [
{
"altText": "Storefront and outdoor patio with tables and chairs",
"locale": "en-US"
}
]
}
}
}

Response

200 OK or Error

Response Headers

Name
apple-request-id
content-type
etag
location
Example Response Headers
HTTP/1.1 200 OK
apple-request-id: ed6f2e57-3598-4236-817a-ec7975df738d
content-type: application/json
etag: "631541fe-ddd5-11ec-9b9e-2f83671330d2"
location: /api/v1/orgs/9467895078742654934/brands/9467895078742654921/showcase-creatives/9467895078742654987

Response Body

NameOutput
$.orgId
REQUIRED
$.brandId
REQUIRED
$.id
REQUIRED
$.createdDate
REQUIRED
$.updatedDate
REQUIRED
$.state
REQUIRED
$.etag
REQUIRED
$.showcaseCreativeDetails
REQUIRED
$.validationReports[]
CONDITIONAL
Example Response Body (raw JSON)
{
"orgId": "9467895078742654934",
"brandId": "9467895078742654921",
"id": "9467895078742654987",
"createdDate": "2026-10-01T12:29:12.00Z",
"updatedDate": "2026-10-02T11:23:42.00Z",
"state": "SUBMITTED",
"etag": "631541fe-ddd5-11ec-9b9e-2f83671330d2",
"showcaseCreativeDetails": {
"contents": [
{
"placement": "HEADLINE",
"descriptions": [
{
"locale": "en-US",
"text": "Happy New Year!"
}
]
},
{
"placement": "BODY",
"descriptions": [
{
"locale": "en-US",
"text": "Ring in the New Year with our new flavors!"
}
]
}
],
"callToAction": "WEBSITE",
"photo": {
"id": "9467895078742654949",
"captions": [
{
"altText": "Storefront and outdoor patio with tables and chairs",
"locale": "en-US"
}
]
}
},
"validationReports": []
}